Direct RESTMessageV2 example

reference australia Updated Sep 10, 2026 1 min read r_DirectRESTMessageV2Example.md
Raw file servicenow.com

You can send an outbound REST message directly to the endpoint.

In this example, the script sends a REST message requesting a stock quote and waits for a response. If there is no response from the web service provider, or if the specified REST message record is unavailable, the script throws an error, handled in this example by the try-catch block.

JavaScript
var requestBody;var responseBody;var status;var sm;try{	sm = new sn_ws.RESTMessageV2("Yahoo Finance", "get");  // Might throw exception if message doesn't exist or not visible due to scope.	sm.setBasicAuth("admin","admin");	sm.setStringParameter("symbol", "NOW");	sm.setStringParameterNoEscape("xml_data","<data>test</data>");	sm.setHttpTimeout(10000); //In milliseconds. Wait at most 10 seconds for response from http request.
	response = sm.execute();//Might throw exception if http connection timed out or some issue with sending request itself because of encryption/decryption of password.	responseBody = response.haveError() ? response.getErrorMessage() : response.getBody();	status = response.getStatusCode();} catch(ex) {	responseBody = ex.getMessage();	status = '500';} finally {	requestBody = sm ? sm.getRequestBody():null;}gs.info("Request Body: " + requestBody);gs.info("Response: " + responseBody);gs.info("HTTP Status: " + status);

Parent Topic:Scripting outbound REST

Search documentation
Search document titles and file paths on the australia branch